%define upstream_name    Data-Printer
%define upstream_version 0.40

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Pretty-printing date and time objects (not just DateTime!)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Clone::PP)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::HomeDir) >= 0.910.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Package::Stash) >= 0.300.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sort::Naturally)
BuildRequires: perl(Term::ANSIColor) >= 3.0.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(version) >= 0.770.0
BuildArch:  noarch

%{?perl_default_filter}

%description
the Data::Printer manpage lets you add custom filters to display data
structures and objects, by either specifying them during "use", in the
'.dataprinter' configuration file, or even in runtime customizations.

But there are times when you may want to group similar filters, or make
them standalone in order to be easily reutilized in other environments and
applications, or even upload them to CPAN so other people can benefit from
a cleaner - and clearer - object/structure dump.

This is where 'Data::Printer::Filter' comes in. It *exports* into your
package's namespace the the /filter manpage function, along with some
helpers to create custom filter packages.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml examples
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.400.0-4.mga8
+ Revision: 1503721
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.400.0-3.mga7
+ Revision: 1282632
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.400.0-2.mga7
+ Revision: 1163812
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.400.0-1.mga7
+ Revision: 1159428
- update to 0.40

* Sat Jun 18 2016 pterjan <pterjan> 0.380.0-2.mga6
+ Revision: 1024831
- Rebuild for perl 5.22.2

* Wed Feb 10 2016 shlomif <shlomif> 0.380.0-1.mga6
+ Revision: 953349
- update to 0.38

* Sun Jul 05 2015 sander85 <sander85> 0.360.0-1.mga6
+ Revision: 850938
- update to 0.36

* Wed Oct 15 2014 umeabot <umeabot> 0.350.0-6.mga5
+ Revision: 744807
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.350.0-5.mga5
+ Revision: 735464
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.350.0-4.mga5
+ Revision: 684229
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.350.0-3.mga4
+ Revision: 510620
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.350.0-2.mga3
+ Revision: 365403
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.350.0-1.mga3
+ Revision: 342034
- update to 0.35

* Wed Nov 14 2012 jquelin <jquelin> 0.340.0-1.mga3
+ Revision: 317620
- update to 0.34

* Wed Aug 29 2012 kharec <kharec> 0.330.0-1.mga3
+ Revision: 285256
- update to 0.33

* Tue Mar 06 2012 jquelin <jquelin> 0.300.0-1.mga2
+ Revision: 219904
- update to 0.3

* Wed Jan 25 2012 jquelin <jquelin> 0.290.0-1.mga2
+ Revision: 200846
- update to 0.29

* Sat Nov 26 2011 kharec <kharec> 0.260.0-1.mga2
+ Revision: 172115
- update to 0.26

* Sat Nov 05 2011 kharec <kharec> 0.240.0-1.mga2
+ Revision: 163453
- update to 0.24

* Thu Sep 01 2011 jquelin <jquelin> 0.230.0-1.mga2
+ Revision: 137536
- update to 0.23
- update to 0.22

* Fri Jul 08 2011 jquelin <jquelin> 0.210.0-1.mga2
+ Revision: 120370
- update to 0.21

* Thu Jun 30 2011 jquelin <jquelin> 0.200.0-1.mga2
+ Revision: 116806
- imported package perl-Data-Printer


* Thu Jun 30 2011 cpan2dist 0.2-1mga
- initial mageia release, generated with cpan2dist
